Last Comment Bug 738848 - FormAssistant null error when Fennec is in background
: FormAssistant null error when Fennec is in background
Status: VERIFIED FIXED
:
Product: Firefox for Android
Classification: Client Software
Component: General (show other bugs)
: unspecified
: ARM Android
: -- normal (vote)
: Firefox 14
Assigned To: Brian Nicholson (:bnicholson) (PTO through August 1)
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-23 16:28 PDT by Brian Nicholson (:bnicholson) (PTO through August 1)
Modified: 2012-06-12 05:18 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
patch (1.14 KB, patch)
2012-03-23 16:28 PDT, Brian Nicholson (:bnicholson) (PTO through August 1)
mark.finkle: review+
Details | Diff | Splinter Review

Description Brian Nicholson (:bnicholson) (PTO through August 1) 2012-03-23 16:28:21 PDT
Created attachment 608909 [details] [diff] [review]
patch

window.content may be null if the tab isn't active. While a page is loading, if it's put in the background, JS will give this error:

03-23 11:17:55.956 10081 10091 E GeckoConsole: [JavaScript Error: "content is null" {file: "chrome://browser/content/browser.js" line: 2934}]

Rather than using content.document, I think we can use BrowserApp.selectedBrowser.contentDocument, which doesn't change if the tab is active/inactive.
Comment 1 Brian Nicholson (:bnicholson) (PTO through August 1) 2012-03-23 17:23:23 PDT
http://hg.mozilla.org/integration/mozilla-inbound/rev/68c598b9c6bc
Comment 2 Ed Morley [:emorley] 2012-03-24 13:40:38 PDT
Please can you set the target milestone when landing on inbound, along the lines of http://blog.bonardo.net/2012/03/23/how-you-can-help-mozilla-inbound-sheriffs-when-pushing :-)

https://hg.mozilla.org/mozilla-central/rev/68c598b9c6bc
Comment 3 Damon Sicore (:damons) 2012-04-02 12:17:45 PDT
This wasn't marked as a blocker.  Should we be working on things like this right now?
Comment 4 Mark Finkle (:mfinkle) (use needinfo?) 2012-04-02 12:42:44 PDT
(In reply to Damon Sicore (:damons) from comment #3)
> This wasn't marked as a blocker.  Should we be working on things like this
> right now?

It was found during work on blockers. JS errors have a tendency to just cause parts of the app to stop working. Brain (and others) have periodically run out of blockers, so I was fine with this fix.
Comment 5 Mark Finkle (:mfinkle) (use needinfo?) 2012-04-04 10:20:44 PDT
https://hg.mozilla.org/releases/mozilla-aurora/rev/2940c6c8ef66
Comment 6 Adrian Tamas (:AdrianT) 2012-06-12 05:18:44 PDT
Error is no longer seen in the logs on Nightly 16.0a1 2012-06-12 and Aurora 15.0a2 2012-06-11 on HTC Desire running Android 2.2. Closing the issue as verified.

Note You need to log in before you can comment on or make changes to this bug.